Package com.ocient.jdbc.proto

## Class PlanProtocol.ExtendOperator.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ExtendOperator.Builder>
      - - com.ocient.jdbc.proto.PlanProtocol.ExtendOperator.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.ExtendOperatorOrBuilder`, `Cloneable`

Enclosing class:
  PlanProtocol.ExtendOperator

    public static final class PlanProtocol.ExtendOperator.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ExtendOperator.Builder>
    implements PlanProtocol.ExtendOperatorOrBuilder

    Creates a new column by doing a calculation involving existing columns

Protobuf type `xg.db.sqlPlans.ExtendOperator`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`PlanProtocol.ExtendOperator.Builder` `addAllPostfixExpressionTokens​(Iterable<String> values)` Tokens are function calls (+, -, *, / or beginning with ()) Or columns Or literals
`PlanProtocol.ExtendOperator.Builder` `addPostfixExpressionTokens​(String value)` Tokens are function calls (+, -, *, / or beginning with ()) Or columns Or literals
`PlanProtocol.ExtendOperator.Builder` `addPostfixExpressionTokensBytes​(com.google.protobuf.ByteString value)` Tokens are function calls (+, -, *, / or beginning with ()) Or columns Or literals
`PlanProtocol.ExtendOperator.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`PlanProtocol.ExtendOperator` `build()`
`PlanProtocol.ExtendOperator` `buildPartial()`
`PlanProtocol.ExtendOperator.Builder` `clear()`
`PlanProtocol.ExtendOperator.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`PlanProtocol.ExtendOperator.Builder` `clearNewColName()` `string newColName = 1;`
`PlanProtocol.ExtendOperator.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`PlanProtocol.ExtendOperator.Builder` `clearPostfixExpressionTokens()` Tokens are function calls (+, -, *, / or beginning with ()) Or columns Or literals
`PlanProtocol.ExtendOperator.Builder` `clearType()` The type of the new column
`PlanProtocol.ExtendOperator.Builder` `clone()`
`PlanProtocol.ExtendOperator` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`String` `getNewColName()` `string newColName = 1;`
`com.google.protobuf.ByteString` `getNewColNameBytes()` `string newColName = 1;`
`String` `getPostfixExpressionTokens​(int index)` Tokens are function calls (+, -, *, / or beginning with ()) Or columns Or literals
`com.google.protobuf.ByteString` `getPostfixExpressionTokensBytes​(int index)` Tokens are function calls (+, -, *, / or beginning with ()) Or columns Or literals
`int` `getPostfixExpressionTokensCount()` Tokens are function calls (+, -, *, / or beginning with ()) Or columns Or literals
`com.google.protobuf.ProtocolStringList` `getPostfixExpressionTokensList()` Tokens are function calls (+, -, *, / or beginning with ()) Or columns Or literals
`String` `getType()` The type of the new column
`com.google.protobuf.ByteString` `getTypeBytes()` The type of the new column
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`PlanProtocol.ExtendOperator.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`PlanProtocol.ExtendOperator.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`PlanProtocol.ExtendOperator.Builder` `mergeFrom​(PlanProtocol.ExtendOperator other)`
`PlanProtocol.ExtendOperator.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`PlanProtocol.ExtendOperator.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`PlanProtocol.ExtendOperator.Builder` `setNewColName​(String value)` `string newColName = 1;`
`PlanProtocol.ExtendOperator.Builder` `setNewColNameBytes​(com.google.protobuf.ByteString value)` `string newColName = 1;`
`PlanProtocol.ExtendOperator.Builder` `setPostfixExpressionTokens​(int index, String value)` Tokens are function calls (+, -, *, / or beginning with ()) Or columns Or literals
`PlanProtocol.ExtendOperator.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`PlanProtocol.ExtendOperator.Builder` `setType​(String value)` The type of the new column
`PlanProtocol.ExtendOperator.Builder` `setTypeBytes​(com.google.protobuf.ByteString value)` The type of the new column
`PlanProtocol.ExtendOperator.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ExtendOperator.Builder>`

#### clear

    public PlanProtocol.ExtendOperator.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ExtendOperator.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ExtendOperator.Builder>`

#### getDefaultInstanceForType

    public PlanProtocol.ExtendOperator getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public PlanProtocol.ExtendOperator build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public PlanProtocol.ExtendOperator buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public PlanProtocol.ExtendOperator.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ExtendOperator.Builder>`

#### setField

    public PlanProtocol.ExtendOperator.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                        Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ExtendOperator.Builder>`

#### clearField

    public PlanProtocol.ExtendOperator.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ExtendOperator.Builder>`

#### clearOneof

    public PlanProtocol.ExtendOperator.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ExtendOperator.Builder>`

#### setRepeatedField

    public PlanProtocol.ExtendOperator.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                int index,
                                                                Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ExtendOperator.Builder>`

#### addRepeatedField

    public PlanProtocol.ExtendOperator.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ExtendOperator.Builder>`

#### mergeFrom

    public PlanProtocol.ExtendOperator.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.ExtendOperator.Builder>`

#### mergeFrom

    public PlanProtocol.ExtendOperator.Builder mergeFrom​(PlanProtocol.ExtendOperator other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ExtendOperator.Builder>`

#### mergeFrom

    public PlanProtocol.ExtendOperator.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                         com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                  throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.ExtendOperator.Builder>`
Throws:
  `IOException`

#### getNewColName

    public String getNewColName()

`string newColName = 1;`

Specified by:
  `getNewColName` in interface `PlanProtocol.ExtendOperatorOrBuilder`
Returns:
  The newColName.

#### getNewColNameBytes

    public com.google.protobuf.ByteString getNewColNameBytes()

`string newColName = 1;`

Specified by:
  `getNewColNameBytes` in interface `PlanProtocol.ExtendOperatorOrBuilder`
Returns:
  The bytes for newColName.

#### setNewColName

    public PlanProtocol.ExtendOperator.Builder setNewColName​(String value)

`string newColName = 1;`

Parameters:
  `value` - The newColName to set.
Returns:
  This builder for chaining.

#### clearNewColName

    public PlanProtocol.ExtendOperator.Builder clearNewColName()

`string newColName = 1;`

Returns:
  This builder for chaining.

#### setNewColNameBytes

    public PlanProtocol.ExtendOperator.Builder setNewColNameBytes​(com.google.protobuf.ByteString value)

`string newColName = 1;`

Parameters:
  `value` - The bytes for newColName to set.
Returns:
  This builder for chaining.

#### getPostfixExpressionTokensList

    public com.google.protobuf.ProtocolStringList getPostfixExpressionTokensList()

    Tokens are function calls (+, -, *, / or beginning with ())
    Or columns
    Or literals

`repeated string postfixExpressionTokens = 2;`

Specified by:
  `getPostfixExpressionTokensList` in interface `PlanProtocol.ExtendOperatorOrBuilder`
Returns:
  A list containing the postfixExpressionTokens.

#### getPostfixExpressionTokensCount

    public int getPostfixExpressionTokensCount()

    Tokens are function calls (+, -, *, / or beginning with ())
    Or columns
    Or literals

`repeated string postfixExpressionTokens = 2;`

Specified by:
  `getPostfixExpressionTokensCount` in interface `PlanProtocol.ExtendOperatorOrBuilder`
Returns:
  The count of postfixExpressionTokens.

#### getPostfixExpressionTokens

    public String getPostfixExpressionTokens​(int index)

    Tokens are function calls (+, -, *, / or beginning with ())
    Or columns
    Or literals

`repeated string postfixExpressionTokens = 2;`

Specified by:
  `getPostfixExpressionTokens` in interface `PlanProtocol.ExtendOperatorOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The postfixExpressionTokens at the given index.

#### getPostfixExpressionTokensBytes

    public com.google.protobuf.ByteString getPostfixExpressionTokensBytes​(int index)

    Tokens are function calls (+, -, *, / or beginning with ())
    Or columns
    Or literals

`repeated string postfixExpressionTokens = 2;`

Specified by:
  `getPostfixExpressionTokensBytes` in interface `PlanProtocol.ExtendOperatorOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the postfixExpressionTokens at the given index.

#### setPostfixExpressionTokens

    public PlanProtocol.ExtendOperator.Builder setPostfixExpressionTokens​(int index,
                                                                          String value)

    Tokens are function calls (+, -, *, / or beginning with ())
    Or columns
    Or literals

`repeated string postfixExpressionTokens = 2;`

Parameters:
  `index` - The index to set the value at.
  `value` - The postfixExpressionTokens to set.
Returns:
  This builder for chaining.

#### addPostfixExpressionTokens

    public PlanProtocol.ExtendOperator.Builder addPostfixExpressionTokens​(String value)

    Tokens are function calls (+, -, *, / or beginning with ())
    Or columns
    Or literals

`repeated string postfixExpressionTokens = 2;`

Parameters:
  `value` - The postfixExpressionTokens to add.
Returns:
  This builder for chaining.

#### addAllPostfixExpressionTokens

    public PlanProtocol.ExtendOperator.Builder addAllPostfixExpressionTokens​(Iterable<String> values)

    Tokens are function calls (+, -, *, / or beginning with ())
    Or columns
    Or literals

`repeated string postfixExpressionTokens = 2;`

Parameters:
  `values` - The postfixExpressionTokens to add.
Returns:
  This builder for chaining.

#### clearPostfixExpressionTokens

    public PlanProtocol.ExtendOperator.Builder clearPostfixExpressionTokens()

    Tokens are function calls (+, -, *, / or beginning with ())
    Or columns
    Or literals

`repeated string postfixExpressionTokens = 2;`

Returns:
  This builder for chaining.

#### addPostfixExpressionTokensBytes

    public PlanProtocol.ExtendOperator.Builder addPostfixExpressionTokensBytes​(com.google.protobuf.ByteString value)

    Tokens are function calls (+, -, *, / or beginning with ())
    Or columns
    Or literals

`repeated string postfixExpressionTokens = 2;`

Parameters:
  `value` - The bytes of the postfixExpressionTokens to add.
Returns:
  This builder for chaining.

#### getType

    public String getType()

    The type of the new column

`string type = 3;`

Specified by:
  `getType` in interface `PlanProtocol.ExtendOperatorOrBuilder`
Returns:
  The type.

#### getTypeBytes

    public com.google.protobuf.ByteString getTypeBytes()

    The type of the new column

`string type = 3;`

Specified by:
  `getTypeBytes` in interface `PlanProtocol.ExtendOperatorOrBuilder`
Returns:
  The bytes for type.

#### setType

    public PlanProtocol.ExtendOperator.Builder setType​(String value)

    The type of the new column

`string type = 3;`

Parameters:
  `value` - The type to set.
Returns:
  This builder for chaining.

#### clearType

    public PlanProtocol.ExtendOperator.Builder clearType()

    The type of the new column

`string type = 3;`

Returns:
  This builder for chaining.

#### setTypeBytes

    public PlanProtocol.ExtendOperator.Builder setTypeBytes​(com.google.protobuf.ByteString value)

    The type of the new column

`string type = 3;`

Parameters:
  `value` - The bytes for type to set.
Returns:
  This builder for chaining.

#### setUnknownFields

    public final PlanProtocol.ExtendOperator.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ExtendOperator.Builder>`

#### mergeUnknownFields

    public final PlanProtocol.ExtendOperator.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ExtendOperator.Builder>`